Skip to main content
POST
Create a link session for a toolkit in a tool router session

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Path Parameters

session_id
string<toolRouterSessionId>
required

The unique identifier of the tool router session The session ID returned when creating the session

Example:

"trs_LX9uJKBinWWr"

Body

application/json
toolkit
string
required

The unique slug identifier of the toolkit to connect

Minimum string length: 1
Example:

"github"

alias
string

A human-readable alias for this connected account. Must be unique per entity and toolkit within the project.

Maximum string length: 255
callback_url
string<uri>

URL where users will be redirected after completing auth

Example:

"https://myapp.com/callback"

experimental
object

Experimental features - not stable, may be modified or removed in future versions.

Response

Successfully created link session. Returns link token, redirect URL, and connected account ID.

Token used to complete the authentication flow

Example:

"lt_abc123xyz"

redirect_url
string<uri>
required

The URL where users should be redirected to complete OAuth

Example:

"https://app.composio.dev/link/lt_abc123xyz"

connected_account_id
string<connectedAccountId>
required

The unique identifier for the connected account

Example:

"ca_abc123xyz"

experimental
object

Experimental features - not stable, may be modified or removed in future versions.